Self-serve contractor payments
Self Serve Get Invoice Attachment Download Url
Verifies the fileKey belongs to the invoice, then returns a one-hour signed S3 download URL.
POSThttps://api.toku.com/hris/self-serve-get-invoice-attachment-download-url
Not available to API keys yet. It will need invoices:write.
curl --request POST \
--url 'https://api.toku.com/hris/self-serve-get-invoice-attachment-download-url' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"invoicePaymentID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"fileKey": "string",
"disposition": "inline"
}'200 response
{}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
invoicePaymentIDstring<uuid>requiredfileKeystringrequiredAllowed: at least 1 characters
dispositionstringAvailable options: inline, attachment
Response
200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits